ReflectionMethod::__construct
ReflectionMethod::getClosure
ReflectionMethod
PHP Manual

# ReflectionMethod::export

Export a reflection method.

### Description

public static string ReflectionMethod::export ( string `$class` , string `$name` [, bool `$return` = false ] )

Exports a ReflectionMethod.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`class`

  The class name.

`name`

  The name of the method.

`return`

  Setting to `TRUE` will return the export, as opposed to emitting it. Setting to `FALSE` (the default) will do the opposite.

### Return Values

If the `return` parameter is set to `TRUE`, then the export is returned as a string, otherwise `NULL` is returned.

### See Also

- ReflectionMethod::__construct
- ReflectionMethod::__toString